ITR Forget Password
Introduction:
ITR allows session authorisation using password and OTP. For users who have a password authorisation, this API provides them a facility to reset the password in case they can not remember their password. Using the API, a client can facilitate their users to set new password and procure details.
In this API a user will initate the request to reset password and then authorise the new password using an OTP in the ITR Authorise New Password API.
Endpoints:
This API consists of two main endpoints:
- itrforgetpassword
- itrauthorisenewpassword
curl --location 'https://api.signzy.app/api/v3/itr/itrforgetpassword' \
--header 'Authorization: <auth-token>' \
--header 'Content-Type: application/json' \
--data '{
"userName" : "ABCDE1234F",
"newPassword" : "Nq4_$qf312fs"
}'Input Parameters:
Parameter | Type | Description | Mandatory |
|---|---|---|---|
userName | string | The username of the end-customer on the ITR Portal. It usually is the PAN of the user | Mandatory |
newPassword | string | New Password that consumer wants to set | Mandatory |

Sample Response:
{
"sessionId": "itr_biVMwntmilIqlwiPEwwm",
"otpStatus": true,
"statusCode": 200,
"message": "OTP Sent",
"success": true
}
Output Parameters:
Parameter | Type | Description |
|---|---|---|
session_id | String | Unique identifier for the session. |
otp_status | Boolean | Indicates if OTP generation was successful (true) or not (false). |
status_code | Integer | HTTP status code of the response (200 indicates success). |
message | String | Descriptive message about the outcome (e.g., "OTP Sent"). |
success | Boolean | Overall success status of the OTP request (true for successful generation). |
Status codes:
CODE | MESSAGE |
|---|---|
200 | Request successful |
409 | Upstream is down |
422 | Wrong Username |
400 | Bad Request - Mandatory parameters missing |